<!--begin::Portlet-->
<div id="attributes-portlet" class="m-portlet" xmlns="http://www.w3.org/1999/html">

    <template v-if="! final.final">

        <div class="m-portlet__head">
            <div class="m-portlet__head-caption">
                <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                    <h3 class="m-portlet__head-text">
                        Create Final Info
                    </h3>
                </div>
            </div>
        </div>

        <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
            <div class="m-portlet__body">
                <div class="form-group m-form__group">
                    <ValidationProvider rules="required" v-slot="{ errors }" name="order status" ref="status">
                        <label class="">Order Status: </label>
                        <select-component v-model="final.status" :styles="{ 'is-invalid': errors.length > 0, 'form-control m-input': true }" :data="orderStatuses"></select-component>
                        <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                            {{ errors[0] }}
                        </div>
                    </ValidationProvider>
                </div>

                <div class="form-group m-form__group">
                    <ValidationProvider rules="required" v-slot="{ errors }" name="admin comment" ref="admin_comment">
                        <label>Admin Comment:</label>
                        <textarea class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" v-model="final.admin_comment"></textarea>
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__helper">Comment entered here will be forwarded in confirmation email to a customer!</span>
                    </ValidationProvider>
                </div>
            </div>
        </form>

    </template>

    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Billing Information
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group">
                <div class="row">
                    <div class="col-lg-6">
                        <h5>Customer</h5><br>

                        <div class="row">
                            <div class="col-lg-6">
                                <p><b>Name:</b> {{ customer.name }}</p>
                            </div>

                            <div class="col-lg-6">
                                <p><b>Phone:</b> {{ customer.phone_number }}</p>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-6">
                                <p><b>Email:</b> {{ customer.email }}</p>
                            </div>

                            <div class="col-lg-6">
                                <p><b>Company:</b> {{ customer.company }}</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <h5>Billing</h5><br>

                        <div class="row">
                            <div class="col-lg-6">
                                <p><b>Name:</b> {{ billing.billing_name }}</p>
                            </div>

                            <div class="col-lg-6">
                                <p><b>Phone:</b> {{ billing.billing_phone_number }}</p>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-6">
                                <p><b>Address:</b> {{ billing.billing_address }}</p>
                            </div>

                            <div class="col-lg-6">
                                <p><b>City:</b> {{ billing.billing_city }}</p>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-6">
                                <p><b>State:</b> {{ billing.billing_state }}</p>
                            </div>

                            <div class="col-lg-6">
                                <p><b>Zip:</b> {{ billing.billing_zip }}</p>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-4">
                                <p><b>Floor:</b> {{ billing.billing_floor }}</p>
                            </div>

                            <div class="col-lg-4">
                                <p><b>Flat:</b> {{ billing.billing_flat }}</p>
                            </div>

                            <div class="col-lg-4">
                                <p><b>Intercom:</b> {{ billing.billing_intercom }}</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>